﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TeeChartSandbox
{
    public partial class TeeChartSandbox : Form
    {
        private Steema.TeeChart.Styles.Line lineSerie;

        public TeeChartSandbox()
        {
            InitializeComponent();

            tChart1.Aspect.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.AntiAlias;

            tChart1.MouseClick += new MouseEventHandler(tChart1_MouseClick);

            lineSerie = new Steema.TeeChart.Styles.Line(tChart1.Chart);
            lineSerie.FillSampleValues(100);
            lineSerie.ShowInLegend = false;

            annotation1.Callout.ArrowHeadSize = 25;
            annotation1.Callout.Color = Color.Black;
            annotation1.Callout.Arrow.Visible = false;
            annotation1.Callout.ArrowHead = Steema.TeeChart.Styles.ArrowHeadStyles.Solid;
        }

        void tChart1_MouseClick(object sender, MouseEventArgs e)
        {
            // Change annotation text
            annotation1.Text = "Point ";

            // Re-position annotation callout
            annotation1.Callout.XPosition = e.X;
            annotation1.Callout.YPosition = e.Y;
            annotation1.Callout.ZPosition = 0;

            annotation1.Callout.Arrow.Visible = true;
        }
    }
}
